--[[
l10nFix

Author: 	Ifko[nator]
Date: 		08.03.2019
Version:	1.0

Usage:

instead of ' g_i18n:getText("Text") ' use ' l10nFix.texts["Text"] ' in your global mod script file
]]

l10nFix = {};
l10nFix.texts = {};

getfenv(0)["l10nFix"] = l10nFix;

local function getTexts()
	local l10nXML = loadXMLFile("l10nXML", "dataS/l10n_" .. g_languageShort .. ".xml");
	
	if l10nXML ~= nil then
		local l10nCount = 0;

		while true do
			local l10nKey = "l10n.elements.e(" .. tostring(l10nCount) .. ")";

			if not hasXMLProperty(l10nXML, l10nKey) then
				delete(l10nXML);
			
				break;
			end;
		
			local l10nTAG = getXMLString(l10nXML, l10nKey .. "#k");
			local text = getXMLString(l10nXML, l10nKey .. "#v");
		
			l10nFix.texts[l10nTAG] = text;

			l10nCount = l10nCount + 1;
		end;
	end;

	for _, mods in pairs(g_modManager.mods) do
		for modTypeName, modDescFilename in pairs(mods) do
			if tostring(modTypeName) == "modFile" then
				local modDesc = loadXMLFile("modDesc", modDescFilename);
				local l10nCount = 0;
				
				while true do
					local l10nKey = "modDesc.l10n.text(" .. tostring(l10nCount) .. ")";
					
					if not hasXMLProperty(modDesc, l10nKey) then
						break;
					end;
					
					local l10nTAG = getXMLString(modDesc, l10nKey .. "#name");
					local text = getXMLString(modDesc, l10nKey .. "." .. g_languageShort);
					
					l10nFix.texts[l10nTAG] = text;
					
					l10nCount = l10nCount + 1;
				end;
			end;
		end;
	end;
end;

getTexts();